@echo off
REM  Licensed Materials - Property of IBM
REM  5698-B34  Copyright IBM Corp. 2010
REM  All rights reserved.
REM
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM    File: %W%
REM    SID: %I%
REM    Date Modified: %E% %U%
REM
REM    Change History:
REM    YY/MM/DD            Description
REM    10/03/04            Initial IBM Tivoli Event Pump for z/OS V4.2.1
REM                        Fix Pack 1
REM
REM  This batch file will copy IBM Tivoli Event Pump for z/OS V4.2.1 Fix Pack 1
REM  files from the current directory to the %ONMIHOME%\etc\EventPump directory.

if ("%OMNIHOME%") == ("") goto omnidef
if exist "%OMNIHOME%\etc\EventPump" goto copyit
mkdir "%OMNIHOME%\etc\EventPump"
if exist "%OMNIHOME%\etc\EventPump" goto copyit
echo The EventPump path does not exist
goto done
:copyit
copy /Y *.bat "%OMNIHOME%\etc\EventPump"
copy /Y zos_files\*.rules "%OMNIHOME%\etc\EventPump"
echo Files copied
goto done
:omnidef
echo The environment variable OMNIHOME is not defined
:done
